Issue #11238 has been reported by Caroline Schnapp.

----------------------------------------
Bug #11238: Cannot install any gem since upgrading to Yosemite: Segmentation fault in openssl.bundle
https://bugs.ruby-lang.org/issues/11238

* Author: Caroline Schnapp
* Status: Open
* Priority: Normal
* Assignee: 
* ruby -v: 
* Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN
----------------------------------------
gem install bundler
/usr/local/lib/ruby/2.2.0/x86_64-darwin12.0/openssl.bundle: [BUG] Segmentation fault at 0x00000000000440
ruby 2.2.2p95 (2015-04-13 revision 50295) [x86_64-darwin12.0]

-- Crash Report log information --------------------------------------------
   See Crash Report log file under the one of following:
     * ~/Library/Logs/CrashReporter
     * /Library/Logs/CrashReporter
     * ~/Library/Logs/DiagnosticReports
     * /Library/Logs/DiagnosticReports
   for more details.

-- Control frame information -----------------------------------------------
c:0026 p:-17538713024688 s:0142 e:000141 TOP    [FINISH]
c:0025 p:---- s:0140 e:000139 CFUNC  :require
c:0024 p:0113 s:0136 e:000135 METHOD /usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54
c:0023 p:0007 s:0126 e:000125 TOP    /usr/local/lib/ruby/2.2.0/openssl.rb:17 [FINISH]
c:0022 p:---- s:0124 e:000123 CFUNC  :require
c:0021 p:0113 s:0120 e:000119 METHOD /usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54
c:0020 p:0025 s:0110 e:000109 TOP    /usr/local/lib/ruby/2.2.0/rubygems/security.rb:11 [FINISH]
c:0019 p:---- s:0107 e:000106 CFUNC  :require
c:0018 p:0113 s:0103 e:000102 METHOD /usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54
c:0017 p:0007 s:0093 e:000092 TOP    /usr/local/lib/ruby/2.2.0/rubygems/package.rb:43 [FINISH]
c:0016 p:---- s:0091 e:000090 CFUNC  :require
c:0015 p:0113 s:0087 e:000086 METHOD /usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54
c:0014 p:0023 s:0077 e:000076 TOP    /usr/local/lib/ruby/2.2.0/rubygems/dependency_installer.rb:3 [FINISH]
c:0013 p:---- s:0075 e:000074 CFUNC  :require
c:0012 p:0113 s:0071 e:000070 METHOD /usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54
c:0011 p:0023 s:0061 e:000060 TOP    /usr/local/lib/ruby/2.2.0/rubygems/commands/install_command.rb:3 [FINISH]
c:0010 p:---- s:0059 e:000058 CFUNC  :require
c:0009 p:0113 s:0055 e:000054 METHOD /usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54
c:0008 p:0049 s:0045 e:000044 METHOD /usr/local/lib/ruby/2.2.0/rubygems/command_manager.rb:204
c:0007 p:0050 s:0038 e:000034 METHOD /usr/local/lib/ruby/2.2.0/rubygems/command_manager.rb:124
c:0006 p:0094 s:0031 e:000030 METHOD /usr/local/lib/ruby/2.2.0/rubygems/command_manager.rb:182
c:0005 p:0096 s:0026 e:000025 METHOD /usr/local/lib/ruby/2.2.0/rubygems/command_manager.rb:167
c:0004 p:0014 s:0019 e:000018 METHOD /usr/local/lib/ruby/2.2.0/rubygems/command_manager.rb:138
c:0003 p:0056 s:0013 e:000012 METHOD /usr/local/lib/ruby/2.2.0/rubygems/gem_runner.rb:54
c:0002 p:0115 s:0007 E:000728 EVAL   /usr/local/opt/ruby/bin/gem:21 [FINISH]
c:0001 p:0000 s:0002 E:002490 TOP    [FINISH]

-- Ruby level backtrace information ----------------------------------------
/usr/local/opt/ruby/bin/gem:21:in `<main>'
/usr/local/lib/ruby/2.2.0/rubygems/gem_runner.rb:54:in `run'
/usr/local/lib/ruby/2.2.0/rubygems/command_manager.rb:138:in `run'
/usr/local/lib/ruby/2.2.0/rubygems/command_manager.rb:167:in `process_args'
/usr/local/lib/ruby/2.2.0/rubygems/command_manager.rb:182:in `find_command'
/usr/local/lib/ruby/2.2.0/rubygems/command_manager.rb:124:in `[]'
/usr/local/lib/ruby/2.2.0/rubygems/command_manager.rb:204:in `load_and_instantiate'
/usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/usr/local/lib/ruby/2.2.0/rubygems/commands/install_command.rb:3:in `<top (required)>'
/usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/usr/local/lib/ruby/2.2.0/rubygems/dependency_installer.rb:3:in `<top (required)>'
/usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/usr/local/lib/ruby/2.2.0/rubygems/package.rb:43:in `<top (required)>'
/usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/usr/local/lib/ruby/2.2.0/rubygems/security.rb:11:in `<top (required)>'
/usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/usr/local/lib/ruby/2.2.0/openssl.rb:17:in `<top (required)>'
/usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'
/usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb:54:in `require'

-- Machine register context ------------------------------------------------
 rax: 0x0000000000000030 rbx: 0x000000010ad4c810 rcx: 0x0000000000000000
 rdx: 0xfffffffffffffff0 rdi: 0x0000000000000030 rsi: 0x0000000000000000
 rbp: 0x00007fff553bb290 rsp: 0x00007fff553bb290  r8: 0x0000000000000017
  r9: 0x00000000fffe0000 r10: 0x0000000000000a58 r11: 0x00007fff8d2c1ee0
 r12: 0x00007f9c6613d790 r13: 0x00007fff70b59070 r14: 0x0000000000000007
 r15: 0x00007fff553bb350 rip: 0x000000010adc0242 rfl: 0x0000000000010246

-- C level backtrace information -------------------------------------------
0   ruby                                0x000000010a9be0c8 rb_vm_bugreport + 152
1   ruby                                0x000000010a87afc3 rb_bug_context + 467
2   ruby                                0x000000010a9400bf sigsegv + 143
3   libsystem_platform.dylib            0x00007fff8d2c5f1a _sigtramp + 26
4   libruby.2.2.0.dylib                 0x000000010adc0242 ruby_xmalloc + 17
5   ???                                 0x00007fff553bb2b0 0x0 + 140734623363760

-- Other runtime information -----------------------------------------------

* Loaded script: /usr/local/opt/ruby/bin/gem

* Loaded features:

    0 enumerator.so
    1 rational.so
    2 complex.so
    3 /usr/local/lib/ruby/2.2.0/x86_64-darwin12.0/enc/encdb.bundle
    4 /usr/local/lib/ruby/2.2.0/x86_64-darwin12.0/enc/trans/transdb.bundle
    5 /usr/local/lib/ruby/2.2.0/unicode_normalize.rb
    6 /usr/local/lib/ruby/2.2.0/x86_64-darwin12.0/rbconfig.rb
    7 thread.rb
    8 /usr/local/lib/ruby/2.2.0/x86_64-darwin12.0/thread.bundle
    9 /usr/local/lib/ruby/2.2.0/rubygems/compatibility.rb
   10 /usr/local/lib/ruby/2.2.0/rubygems/defaults.rb
   11 /usr/local/lib/ruby/2.2.0/rubygems/deprecate.rb
   12 /usr/local/lib/ruby/2.2.0/rubygems/errors.rb
   13 /usr/local/lib/ruby/2.2.0/rubygems/version.rb
   14 /usr/local/lib/ruby/2.2.0/rubygems/requirement.rb
   15 /usr/local/lib/ruby/2.2.0/rubygems/platform.rb
   16 /usr/local/lib/ruby/2.2.0/rubygems/basic_specification.rb
   17 /usr/local/lib/ruby/2.2.0/rubygems/stub_specification.rb
   18 /usr/local/lib/ruby/2.2.0/rubygems/util/stringio.rb
   19 /usr/local/lib/ruby/2.2.0/rubygems/specification.rb
   20 /usr/local/lib/ruby/2.2.0/rubygems/exceptions.rb
   21 /usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_gem.rb
   22 /usr/local/lib/ruby/2.2.0/monitor.rb
   23 /usr/local/lib/ruby/2.2.0/rubygems/core_ext/kernel_require.rb
   24 /usr/local/lib/ruby/2.2.0/rubygems.rb
   25 /usr/local/lib/ruby/2.2.0/optparse.rb
   26 /usr/local/lib/ruby/2.2.0/x86_64-darwin12.0/io/console.bundle
   27 /usr/local/lib/ruby/2.2.0/rubygems/user_interaction.rb
   28 /usr/local/lib/ruby/2.2.0/rubygems/command.rb
   29 /usr/local/lib/ruby/2.2.0/rubygems/command_manager.rb
   30 /usr/local/lib/ruby/2.2.0/x86_64-darwin12.0/etc.bundle
   31 /usr/local/lib/ruby/2.2.0/rubygems/config_file.rb
   32 /usr/local/lib/ruby/2.2.0/rubygems/path_support.rb
   33 /usr/local/lib/ruby/2.2.0/rubygems/dependency.rb
   34 /usr/local/lib/ruby/2.2.0/rubygems/gem_runner.rb
   35 /usr/local/lib/ruby/2.2.0/psych/exception.rb
   36 /usr/local/lib/ruby/2.2.0/psych/syntax_error.rb
   37 /usr/local/lib/ruby/2.2.0/x86_64-darwin12.0/psych.bundle
   38 /usr/local/lib/ruby/2.2.0/x86_64-darwin12.0/stringio.bundle
   39 /usr/local/lib/ruby/2.2.0/psych/omap.rb
   40 /usr/local/lib/ruby/2.2.0/psych/set.rb
   41 /usr/local/lib/ruby/2.2.0/psych/class_loader.rb
   42 /usr/local/lib/ruby/2.2.0/x86_64-darwin12.0/strscan.bundle
   43 /usr/local/lib/ruby/2.2.0/psych/scalar_scanner.rb
   44 /usr/local/lib/ruby/2.2.0/psych/nodes/node.rb
   45 /usr/local/lib/ruby/2.2.0/psych/nodes/stream.rb
   46 /usr/local/lib/ruby/2.2.0/psych/nodes/document.rb
   47 /usr/local/lib/ruby/2.2.0/psych/nodes/sequence.rb
   48 /usr/local/lib/ruby/2.2.0/psych/nodes/scalar.rb
   49 /usr/local/lib/ruby/2.2.0/psych/nodes/mapping.rb
   50 /usr/local/lib/ruby/2.2.0/psych/nodes/alias.rb
   51 /usr/local/lib/ruby/2.2.0/psych/nodes.rb
   52 /usr/local/lib/ruby/2.2.0/psych/streaming.rb
   53 /usr/local/lib/ruby/2.2.0/psych/visitors/visitor.rb
   54 /usr/local/lib/ruby/2.2.0/psych/visitors/to_ruby.rb
   55 /usr/local/lib/ruby/2.2.0/psych/visitors/emitter.rb
   56 /usr/local/lib/ruby/2.2.0/psych/handler.rb
   57 /usr/local/lib/ruby/2.2.0/psych/tree_builder.rb
   58 /usr/local/lib/ruby/2.2.0/psych/visitors/yaml_tree.rb
   59 /usr/local/lib/ruby/2.2.0/psych/json/ruby_events.rb
   60 /usr/local/lib/ruby/2.2.0/psych/visitors/json_tree.rb
   61 /usr/local/lib/ruby/2.2.0/psych/visitors/depth_first.rb
   62 /usr/local/lib/ruby/2.2.0/psych/visitors.rb
   63 /usr/local/lib/ruby/2.2.0/psych/parser.rb
   64 /usr/local/lib/ruby/2.2.0/psych/coder.rb
   65 /usr/local/lib/ruby/2.2.0/psych/core_ext.rb
   66 /usr/local/lib/ruby/2.2.0/x86_64-darwin12.0/date_core.bundle
   67 /usr/local/lib/ruby/2.2.0/date.rb
   68 /usr/local/lib/ruby/2.2.0/psych/deprecated.rb
   69 /usr/local/lib/ruby/2.2.0/psych/stream.rb
   70 /usr/local/lib/ruby/2.2.0/psych/json/yaml_events.rb
   71 /usr/local/lib/ruby/2.2.0/psych/json/tree_builder.rb
   72 /usr/local/lib/ruby/2.2.0/psych/json/stream.rb
   73 /usr/local/lib/ruby/2.2.0/psych/handlers/document_stream.rb
   74 /usr/local/lib/ruby/2.2.0/psych.rb
   75 /usr/local/lib/ruby/2.2.0/rubygems/psych_additions.rb
   76 /usr/local/lib/ruby/2.2.0/rubygems/psych_tree.rb
   77 /usr/local/lib/ruby/2.2.0/yaml.rb
   78 /usr/local/lib/ruby/2.2.0/rubygems/syck_hack.rb
   79 /usr/local/lib/ruby/2.2.0/timeout.rb
   80 /usr/local/lib/ruby/2.2.0/rubygems/install_update_options.rb
   81 /usr/local/lib/ruby/2.2.0/tsort.rb
   82 /usr/local/lib/ruby/2.2.0/rubygems/dependency_list.rb
   83 /usr/local/lib/ruby/2.2.0/fileutils.rb



-- 
https://bugs.ruby-lang.org/